From 924421513d4dc39976b522ec66fb5e0bd4030432 Mon Sep 17 00:00:00 2001
From: Julian Andres Klode <jak@debian.org>
Date: Mon, 1 Mar 2010 13:18:51 +0100
Subject: [PATCH] Upgrade to the new python-apt API.

---
 apt-listchanges.py             |    4 ++--
 apt-listchanges/DebianFiles.py |    2 +-
 debian/control                 |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/apt-listchanges.py b/apt-listchanges.py
index bf734a8..c805c3f 100755
--- a/apt-listchanges.py
+++ b/apt-listchanges.py
@@ -41,7 +41,7 @@ def main():
     if (debs == None or len(debs) == 0) and not config.apt_mode:
         config.usage(1);
 
-    apt_pkg.InitSystem()
+    apt_pkg.init_system()
 
     if config.apt_mode:
         # stdin is a pipe
@@ -127,7 +127,7 @@ def main():
         if found.has_key(srcpackage):
             continue
 
-        if not config.show_all and apt_pkg.VersionCompare(fromversion, srcversion) >= 0:
+        if not config.show_all and apt_pkg.version_compare(fromversion, srcversion) >= 0:
             notes.append(_("%s: Version %s has already been seen") % (binpackage,
                                                                       srcversion))
             continue
diff --git a/apt-listchanges/DebianFiles.py b/apt-listchanges/DebianFiles.py
index 4208f28..e858d67 100644
--- a/apt-listchanges/DebianFiles.py
+++ b/apt-listchanges/DebianFiles.py
@@ -184,7 +184,7 @@ class Package:
                 entry = ''
                 is_debian_changelog = 1
                 if since_version:
-                    if apt_pkg.VersionCompare(match.group('version'),
+                    if apt_pkg.version_compare(match.group('version'),
                                               since_version) > 0:
                         urgency = max(numeric_urgency(match.group('urgency')),
                                       urgency)
diff --git a/debian/control b/debian/control
index e5e53b8..4976395 100644
--- a/debian/control
+++ b/debian/control
@@ -12,7 +12,7 @@ Build-Depends-Indep: docbook-to-man, gettext, python-dev, po-debconf,
 
 Package: apt-listchanges
 Architecture: all
-Depends: ${python:Depends}, apt (>= 0.5.3), python-apt, 
+Depends: ${python:Depends}, apt (>= 0.5.3), python-apt (>= 0.7.93), 
  ucf (>= 0.28), debianutils (>= 2.0.2), ${misc:Depends}
 Recommends: exim4 | mail-transport-agent
 Suggests: x-terminal-emulator, www-browser, python-glade2, python-gtk2
-- 
1.7.0

